Skip to navigation

SQ_BindSkill

View as Markdown

Binds skills to agents.

Example request: Bind the skills with id 1 and 2 to all users.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

user_idlist of integersRequired

List of user IDs separated by semicolons (;). Use 'all' to select all the users

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

sq_skillsmap from strings to anyRequired

Skills to be bound to agents in the json array format. The array should contain objects with the sq_skill_id/sq_skill_name and sq_skill_level keys where skill levels range from 1 to 5

bind_modestringOptionalDefaults to add_queues

Binding mode. Accepts one of the [SQSkillBindingModes] enum values

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully